#pragma once

#include <maps/libs/json/include/builder.h>

#include <ostream>

namespace maps::wiki::poi {

struct PoiDef;

class EntrancesYsonFormatter {
public:
    EntrancesYsonFormatter(std::ostream& out);

    ~EntrancesYsonFormatter();

    void append(const PoiDef& data);

private:
    std::ostream& out_;
    json::Builder builder_;
};

} // namespace maps::wiki::poi
